Cancel Order
Request to be POSTed to uri : /NorenWClientAPI/CancelOrder
Request Details :
| Json Fields | Possible value | Description |
|---|---|---|
| jData* | Should send json object with fields in below list |
| Json Fields | Possible value | Description |
|---|---|---|
| norenordno* | Noren order number, which needs to be modified | |
| uid* | User id of the logged in user. | |
| ext_remarks | External remarks | |
| cl_ord_id | Cli Order Id | |
| channel | Channel | |
| usr_agent | User Agent | |
| app_inst_id | App Install Id |
Example
curl --location 'https://api.kambala.co.in/NorenWClientAPI/CancelOrder' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer 33f5a445acef92ffaae09aeac3221786ac96a7b8d0e1e0337e1f56e065cfd72c' \
--data 'jData={"uid":"DEMO","norenordno":"25121100000307"}'
Response Details :
Response data will be in json format with below fields.
| Json Fields | Possible value | Description |
|---|---|---|
| stat | Ok or Not_Ok | Cancel order success or failure indication. |
| result | Noren Order number of the canceled order. | |
| request_time | Response received time. | |
| emsg | This will be present only if Order cancelation fails |
Sample Success Response :
{
"request_time": "15:08:10 11-12-2025",
"stat": "Ok",
"result": "25121100000307"
}
Sample Failure Response :
{
"stat": "Not_Ok",
"emsg": "Session Expired : Invalid Session Key"
}